@charset "utf-8";


::placeholder {
  color: #999 !important;
  opacity: 1 !important;
}

#research-form-wrap {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  min-height: 410px;
  height: 60%;
  padding: 20px;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  background: #FFF;
}

#research-form {

height: 100%;
}




/*******************
    폼 타이틀 영역 
*******************/
.research-form-top {
position: relative;
margin-bottom: 36px;
}

.research-form-top  .back-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  font-family: cursive;
  font-weight: 900;
  color: #d1d1d1;
  font-size: 1.6rem;
}

.research-form-top .research-form-tit {
  font-size: 1.3rem;
  font-weight: 900;
  color: #391b1b;
  text-align: center;
}





/*******************
      폼 입력 영역 
********************/
#research-form-con {
  
overflow: scroll;
  
height: 70%;
}

#research-form-con .research-form-list {
  position: relative;
  z-index: 105;
  padding-bottom: 12%;
}

#research-form-con .research-form-item {
  position: relative;
  padding: 1rem 1rem 1rem 4rem;
  border-bottom: 1px solid #ececec;
  font-size: 1.2rem;
  color: #4a4a4a;
}

#research-form-con #dropdown .research-form-item:not(.question) {
  padding: 0;
}

#research-form-con #dropdown .research-form-item select {
  width: 100%;
  text-align: center;
  padding: 0.8rem;
  border: 0;
}

#research-form-con #dropdown .research-form-item option {

}

#research-form-con .research-form-item input {
  padding: 0;
  margin: 0;
  border: 0;
  font-size: 1rem;
  color: #4a4a4a;
  height: auto;
}

#research-form-con .research-form-item label {
  display: block;
  width: 100%;
  height: 100%;
}

#research-form-con .research-form-item input[type="radio"],
#research-form-con .research-form-item input[type="checkbox"] {
  visibility: hidden;
}

#research-form-con .research-form-item input[type="radio"] + span {
  position: absolute;
  top:50%;
  left: 1.1rem;
  transform: translateY(-50%);
  width: 1.3rem;
  height: 1.3rem;
}

#research-form-con .research-form-item input[type="radio"] + span::before {
  content:"";
  position: absolute;
  top:50%;
  left:50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  border: 2px solid var(--research-border-grey);
  border-radius: 100%;
  background: #fff;
}
#research-form-con .research-form-item input[type="radio"]:checked + span::before {
  border: 2px solid var(--research-yellow);
}

#research-form-con .research-form-item input[type="radio"]:checked + span::after {
  content:"";
  position: absolute;
  top:50%;
  left:50%;
  transform: translate(-50%, -50%);
  width: 56%;
  height: 56%;
  border-radius: 100%;
  background: var(--research-brown);
}

#research-form-con .research-form-item input[type="checkbox"] + span {
  position: absolute;
  top:50%;
  left: 1.1rem;
  transform: translateY(-50%);
  width: 1.3rem;
  height: 1.3rem;
  border-radius: 100%;
}

#research-form-con .research-form-item input[type="checkbox"] + span::before {
  content:"";
  position: absolute;
  top:50%;
  left:50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  border: 2px solid var(--research-border-grey);
  border-radius: 100%;
  background: url(../img/research_img/check_ico.png) no-repeat center/cover;
}

#research-form-con .research-form-item input[type="checkbox"]:checked + span::before {
  border: 2px solid var(--research-brown);
  background: var(--research-brown)
}

#research-form-con .research-form-item input[type="checkbox"]:checked + span::after {
  content:"";
  position: absolute;
  top:50%;
  left:50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  border-radius: 100%;
  background: url(../img/research_img/checked_ico.png) no-repeat center/cover;
}



#research-form-con .research-form-item.question {
  padding-left: 0.5rem;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  font-size: 4vw;
  font-weight: 700;
  color: var(--research-brown);
  border-top: 1px solid #ececec;
  word-break: keep-all;
  line-height: 1.2;
}

.research-form-item.phone-number::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 1.1rem;
  transform: translateY(-50%);
  width: 1rem;
  height: 1.7rem;
  background: url(../img/research_img/phone_ico.png) no-repeat center/cover
}

.research-form-item.name {

}

.research-form-item.name::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0.8rem;
  transform: translateY(-50%);
  width: 1.7rem;
  height: 1.70742rem;
  background: url(../img/research_img/person_ico.png) no-repeat center/cover
}
.research-form-item.add::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0.8rem;
    transform: translateY(-50%);
    width: 1.7rem;
    height: 1.70742rem;
    background: url(../img/research_img/home_ico.png) no-repeat center/cover;
} 
#research-form-con #address .research-form-item {
    border: 0;
}
.no_padding {
    padding: 0 !important;
}
#research-form-con #address .research-form-item input {
    border: 1px solid #d1d1d1;
    padding: 0.6rem 0.8rem;
    border-radius: 4px;
}

.confirm-btn {
  position: absolute;
  left: 20px;
  bottom: 20px;
  width: calc(100% - 40px);
  padding: 12px 0;
  text-align: center;
  font-weight: 500;
  font-size: 1.1rem;
  background: #d1d1d1;
  border-radius: 4px;
}

.confirm-btn.confirm {
  background: #fade0d
}



/*****************************************
    입력 조건 미충족 경고 메세지 영역 
*****************************************/
/* 공통 */
#research-form-con .research-form-list::after {
  position: absolute;
  left: 10px;
  bottom: -30px;
  font-size: 1rem;
  color: #de4218;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
}

/* 예약자 정보 핸드폰 번호 미입력시 */
#research-form-con .research-form-list.no-num::after {
  content: "\f071 번호를 입력해주세요";
}

/* 예약자 정보 이름 미입력시 */
#research-form-con .research-form-list.no-name::after {
  content: "\f071 이름을 입력해주세요";
}

/* 예약자 정보 핸드폰 번호&이름 미입력시 */
#research-form-con .research-form-list.no-info::after {
  content: "\f071 예약자 정보를 입력해주세요";
}

/* 사전 설문조사(1/3) 택일 항목 미선택시 */
#research-form-con .research-form-list.no-radio::after {
  content: "\f071 항목을 선택해주세요";
}

/* 사전 설문조사(2/3) 다중선택 항목 미선택시 */
#research-form-con .research-form-list.no-chk::after {
  content: "\f071 한 개 이상 선택해주세요";
}

/* 사전 설문조사(3/3) 단답형 설문 미입력시 */
#research-form-con .research-form-list.no-text::after {
  content: "\f071 내용을 입력해주세요";
}



/*************************
    설문조사 완료 페이지 
**************************/
#research-form-wrap #research-form-con.complete-con * {
  text-align: center;
  color: #391b1b;
}
#research-form-wrap #research-form-con.complete-con h2 {
    font-size: 10vw;
    font-weight: 900;
    letter-spacing: 1px;
    padding: 1.4rem 0 3.2rem;
}
#research-form-wrap #research-form-con.complete-con p {
    font-size: 4.2vw;
    font-weight: 400;
}

.complete-btn {
  position: absolute;
  left: 20px;
  bottom: 20px;
  width: calc(100% - 40px);
  padding: 12px 0;
  text-align: center;
  font-weight: 500;
  font-size: 1.1rem;
  background: #fade0d;
  border-radius: 4px;
}



/***********************
    Dropdown Style
***********************/
.selectBox2 * { box-sizing: border-box; }
.selectBox2 {
  position: relative;
  width: 100%;
  cursor: pointer;
  text-align: center;
}

.selectBox2:after {
  height: 100%;
  position: absolute;
  top: 0;
  right: 35px;
}

.selectBox2 .label {
  display: block;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 1rem 0;
  background: url(../img/dropdown_ico.png) no-repeat right/32px 32px;
  border-bottom: 1px solid #ececec;
}

.selectBox2 .optionList {
  position: absolute;
  top: 100%;
  left: 0;
  background: #FFF;
  width: 100%;
  color: #fff;
  list-style-type: none;
  padding: 0;
  overflow: scroll;
  max-height: 0;
  transition: .3s ease-in;
  z-index: 2;
}

.selectBox2.active .optionList {
  max-height: 306%;
}

.selectBox2 .optionItem {
  padding: 1rem 0;
  transition: .1s;
  color: #000;
  border-bottom: 1px solid #ececec;
  /* background: #FFF; */
}

.selectBox2 .optionItem:hover {
  background: #F5F5F5;
}

.selectBox2 .optionItem:last-child {
}

/*  스크롤 커스텀 */
.selectBox2 .optionList::-webkit-scrollbar {width: 6px;}
.selectBox2 .optionList::-webkit-scrollbar-track {background: transparent; }
.selectBox2 .optionList::-webkit-scrollbar-thumb {background: #303030; border-radius: 45px;}
.selectBox2 .optionList::-webkit-scrollbar-thumb:hover {background: #303030;}



#addselectBox {
    display: flex;
    flex-flow: column;
}
#addselectBox > div {
  position: relative;
}
#addselectBox select {
    position: relative;
    width: 100%;
    padding: 0.6rem 1rem;
    margin: 0.2rem 0;
    border: 1px solid #ddd;
    color: #333;
    font-size: 1rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    z-index: 1;
    background: transparent;
}
#addselectBox select + label {position: absolute;top: 50%;right: 1rem;transform: translateY(-50%);width: auto !important;height: auto !important;font-size: 0.9rem;font-family: emoji;}


div[id^="research_"] {
  width: 100%;
  height:100%;
}

.blur_box {
  display: none;
}

.hasScrBar {
  position: relative;
}

.hasScrBar .blur_box {
  position: fixed;
  left: 0;
  bottom: 11%;
  width: 100%;
  height: 10%;
  background: linear-gradient(-180deg, rgba(255,255,255,0.3), #FFF);
  z-index: 105;
  display: block;
}